-- Dates are exported as UNIX timestamps because SQLite does not have a datetime type,
-- but has date and time functions that take UNIX timestamps as arguments.
SELECT
    element.id,
    EXTRACT(EPOCH FROM element.created),
    EXTRACT(EPOCH FROM element.updated),
    element.name,
    type.slug,
    ST_AsGeoJSON(zone.polygon)::json->'coordinates',
    zone.image_id,
    element.worker_version_id
FROM documents_element element
INNER JOIN documents_elementtype type ON (element.type_id = type.id)
LEFT JOIN images_zone zone ON (element.zone_id = zone.id)
WHERE element.corpus_id = '{corpus_id}'::uuid
