SELECT "documents_element"."id",
       "documents_element"."created",
       "documents_element"."updated",
       "documents_element"."corpus_id",
       "documents_element"."type_id",
       "documents_element"."name",
       "documents_element"."zone_id",
       "documents_element"."worker_version_id",
       "documents_corpus"."created",
       "documents_corpus"."updated",
       "documents_corpus"."id",
       "documents_corpus"."name",
       "documents_corpus"."description",
       "documents_corpus"."repository_id",
       "documents_corpus"."top_level_type_id",
       "documents_corpus"."public",
       "documents_corpus"."indexable",
       "documents_corpus"."thumbnail_id"
FROM "documents_element"
INNER JOIN "documents_corpus" ON ("documents_element"."corpus_id" = "documents_corpus"."id")
WHERE "documents_element"."id" = '{element_id}'::uuid
LIMIT 21;

SELECT COUNT(*) AS "__count"
FROM "documents_entitylink"
WHERE (("documents_entitylink"."child_id" IN
            (SELECT U0."id"
             FROM "documents_entity" U0
             INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
             INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
             WHERE U2."element_id" = '{element_id}'::uuid)
        AND "documents_entitylink"."parent_id" IN
            (SELECT U0."id"
             FROM "documents_entity" U0
             INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
             INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
             WHERE U2."element_id" = '{element_id}'::uuid))
       OR ("documents_entitylink"."child_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid)
           AND "documents_entitylink"."parent_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
                INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
                WHERE U2."element_id" = '{element_id}'::uuid))
       OR ("documents_entitylink"."child_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
                INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
                WHERE U2."element_id" = '{element_id}'::uuid)
           AND "documents_entitylink"."parent_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid))
       OR ("documents_entitylink"."child_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid)
           AND "documents_entitylink"."parent_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid)));

SELECT "documents_entitylink"."id",
       "documents_entitylink"."parent_id",
       "documents_entitylink"."child_id",
       "documents_entitylink"."role_id",
       T3."id",
       T3."name",
       T3."type",
       T3."corpus_id",
       T3."metas",
       T3."validated",
       T3."moderator_id",
       T3."worker_version_id",
       "documents_entity"."id",
       "documents_entity"."name",
       "documents_entity"."type",
       "documents_entity"."corpus_id",
       "documents_entity"."metas",
       "documents_entity"."validated",
       "documents_entity"."moderator_id",
       "documents_entity"."worker_version_id",
       "documents_entityrole"."id",
       "documents_entityrole"."parent_name",
       "documents_entityrole"."child_name",
       "documents_entityrole"."parent_type",
       "documents_entityrole"."child_type",
       "documents_entityrole"."corpus_id"
FROM "documents_entitylink"
INNER JOIN "documents_entity" ON ("documents_entitylink"."child_id" = "documents_entity"."id")
INNER JOIN "documents_entity" T3 ON ("documents_entitylink"."parent_id" = T3."id")
INNER JOIN "documents_entityrole" ON ("documents_entitylink"."role_id" = "documents_entityrole"."id")
WHERE (("documents_entitylink"."child_id" IN
            (SELECT U0."id"
             FROM "documents_entity" U0
             INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
             INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
             WHERE U2."element_id" = '{element_id}'::uuid)
        AND "documents_entitylink"."parent_id" IN
            (SELECT U0."id"
             FROM "documents_entity" U0
             INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
             INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
             WHERE U2."element_id" = '{element_id}'::uuid))
       OR ("documents_entitylink"."child_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid)
           AND "documents_entitylink"."parent_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
                INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
                WHERE U2."element_id" = '{element_id}'::uuid))
       OR ("documents_entitylink"."child_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_transcriptionentity" U1 ON (U0."id" = U1."entity_id")
                INNER JOIN "documents_transcription" U2 ON (U1."transcription_id" = U2."id")
                WHERE U2."element_id" = '{element_id}'::uuid)
           AND "documents_entitylink"."parent_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid))
       OR ("documents_entitylink"."child_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid)
           AND "documents_entitylink"."parent_id" IN
               (SELECT U0."id"
                FROM "documents_entity" U0
                INNER JOIN "documents_metadata" U1 ON (U0."id" = U1."entity_id")
                WHERE U1."element_id" = '{element_id}'::uuid)))
ORDER BY T3."name" ASC
LIMIT 1
