SELECT parent.id as parent_id,
       parent.name as parent_name,
       parenttype.display_name as parent_type,
       element.id as id,
       element.name as name,
       elementtype.display_name as type_name
FROM documents_element as element
LEFT OUTER JOIN documents_elementpath as elementpath ON (element.id = elementpath.element_id)
LEFT OUTER JOIN documents_element as parent ON (elementpath.path @ > ARRAY[parent.id]
                                                OR element.id = parent.id)
INNER JOIN documents_elementtype parenttype ON (parent.type_id = parenttype.id)
INNER JOIN documents_elementtype elementtype ON (element.type_id = elementtype.id)
WHERE element.corpus_id = '{corpus_id}'
    AND parenttype.indexable ;

SELECT "documents_element"."id",
       "documents_element"."zone_id"
FROM "documents_element"
WHERE "documents_element"."id" = '{page_id}'::uuid
LIMIT 21;

SELECT "images_zone"."id",
       "images_zone"."created",
       "images_zone"."updated",
       "images_zone"."image_id",
       "images_zone"."polygon"::bytea
FROM "images_zone"
WHERE "images_zone"."id" IN ('{zone_id}'::uuid);

SELECT "images_image"."id",
       "images_image"."created",
       "images_image"."updated",
       "images_image"."server_id",
       "images_image"."path",
       "images_image"."width",
       "images_image"."height",
       "images_image"."hash",
       "images_image"."status"
FROM "images_image"
WHERE "images_image"."id" IN ('{image_id}'::uuid);

SELECT "images_imageserver"."id",
       "images_imageserver"."display_name",
       "images_imageserver"."url",
       "images_imageserver"."s3_bucket",
       "images_imageserver"."s3_region",
       "images_imageserver"."max_width",
       "images_imageserver"."max_height",
       "images_imageserver"."created",
       "images_imageserver"."updated",
       "images_imageserver"."validated",
       "images_imageserver"."read_only"
FROM "images_imageserver"
WHERE "images_imageserver"."id" IN (1);

SELECT "documents_element"."id",
       "documents_element"."worker_version_id"
FROM "documents_element"
WHERE "documents_element"."id" = '{page_id}'::uuid
LIMIT 21;

SELECT "dataimport_workerversion"."id",
       "dataimport_workerversion"."worker_id",
       "dataimport_workerversion"."revision_id",
       "dataimport_workerversion"."configuration",
       "dataimport_workerversion"."state",
       "dataimport_workerversion"."docker_image_id",
       "dataimport_workerversion"."docker_image_iid"
FROM "dataimport_workerversion"
WHERE "dataimport_workerversion"."id" IN ('{worker_version_id}'::uuid);

SELECT "dataimport_worker"."id",
       "dataimport_worker"."name",
       "dataimport_worker"."slug",
       "dataimport_worker"."type",
       "dataimport_worker"."repository_id",
       "dataimport_worker"."public"
FROM "dataimport_worker"
WHERE "dataimport_worker"."id" IN ('{worker_id}'::uuid);

SELECT "documents_transcription"."id",
       "documents_transcription"."element_id",
       "documents_transcription"."worker_version_id",
       "documents_transcription"."text",
       "documents_transcription"."confidence"
FROM "documents_transcription"
WHERE "documents_transcription"."element_id" IN ('{page_id}'::uuid);

SELECT "documents_classification"."id",
       "documents_classification"."element_id",
       "documents_classification"."worker_version_id",
       "documents_classification"."moderator_id",
       "documents_classification"."ml_class_id",
       "documents_classification"."high_confidence",
       "documents_classification"."state",
       "documents_classification"."confidence"
FROM "documents_classification"
WHERE "documents_classification"."element_id" IN ('{page_id}'::uuid);

SELECT "documents_metadata"."id",
       "documents_metadata"."element_id",
       "documents_metadata"."name",
       "documents_metadata"."type",
       "documents_metadata"."value",
       "documents_metadata"."index",
       "documents_metadata"."entity_id",
       "documents_metadata"."worker_version_id"
FROM "documents_metadata"
WHERE "documents_metadata"."element_id" IN ('{page_id}'::uuid)
ORDER BY "documents_metadata"."element_id" ASC,
         "documents_metadata"."name" ASC,
         "documents_metadata"."index" ASC;

SELECT ("documents_transcriptionentity"."transcription_id") AS "_prefetch_related_val_transcription_id",
       "documents_entity"."id",
       "documents_entity"."name",
       "documents_entity"."type",
       "documents_entity"."corpus_id",
       "documents_entity"."metas",
       "documents_entity"."validated",
       "documents_entity"."moderator_id",
       "documents_entity"."worker_version_id"
FROM "documents_entity"
INNER JOIN "documents_transcriptionentity" ON ("documents_entity"."id" = "documents_transcriptionentity"."entity_id")
WHERE "documents_transcriptionentity"."transcription_id" IN ('{transcription_id}'::uuid);

SELECT "dataimport_workerversion"."id",
       "dataimport_workerversion"."worker_id",
       "dataimport_workerversion"."revision_id",
       "dataimport_workerversion"."configuration",
       "dataimport_workerversion"."state",
       "dataimport_workerversion"."docker_image_id",
       "dataimport_workerversion"."docker_image_iid"
FROM "dataimport_workerversion"
WHERE "dataimport_workerversion"."id" IN ('{worker_version_id}'::uuid);

SELECT "dataimport_worker"."id",
       "dataimport_worker"."name",
       "dataimport_worker"."slug",
       "dataimport_worker"."type",
       "dataimport_worker"."repository_id",
       "dataimport_worker"."public"
FROM "dataimport_worker"
WHERE "dataimport_worker"."id" IN ('{worker_id}'::uuid)
